/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is ServStats.
 *
 * The Initial Developer of the Original Code is
 * George J. Lee <gjl@csail.mit.edu>
 * Portions created by the Initial Developer are Copyright (C) 2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

var gOptionsDialog = {
  syncFromPrefs: function() {
    // gray out the agent directory box if manual agent is selected,
    // and vice versa.
    var autoLookup = document.getElementById("pref-agent").value;
    var directoryURI = document.getElementById("textbox-directoryURI");
    var agentURI = document.getElementById("textbox-agentURI");
    if (autoLookup) {
      agentURI.disabled = true;
      directoryURI.disabled = false;
    } else {
      agentURI.disabled = false;
      directoryURI.disabled = true;
    }
  }
}

function lookupAgent() {
  // Get a new copy of the agent map from the directory.
  //
  var agent = Components.classes["@capri.csail.mit.edu/ua;1"].getService(Components.interfaces.nsIDiagAgent);
  agent.loadAgentMap(true);
}

function optionsMoreInfo() {
  var load = window.open('http://servstats.mozdev.org/',
			 '',
			 'scrollbars=no,menubar=no,height=600,width=800,resizable=yes,toolbar=no,location=no,status=no');
}
